#ifndef DEBUG__H
#define DEBUG__H

#ifdef __KERNEL__

#ifdef debug
#define PRINTK(format, a...) printk(format, ## a)
#else
#define PRINTK(format, a...)
#endif

#else /*__KERNEL__*/

#include <stdio.h>

#ifdef debug
#define PRINTF(format, a...) fprintf(stderr, format, ## a)
#else
#define PRINTF(format, a...)
#endif

#endif /*__KERNEL__*/


#endif /*DEBUG__H*/
